| Home | Libraries | People | FAQ | More

## Struct hash<double>

boost::hash<double> —

## Synopsis

    struct hash<double> {
      std::size_t operator()(double) const;
    };

## Description

    std::size_t operator()(double val) const;

Returns: | Unspecified in TR1, except that equal arguments yield the same result. hash_value(val) in Boost.
Throws: | Doesn't throw

| Copyright © 2005, 2006 Daniel James